<html>
<head>
<title>OGRE: Ogre::DDSCodec Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1DDSCodec.html">DDSCodec</a></div>
<h1>Ogre::DDSCodec Class Reference</h1><!-- doxytag: class="Ogre::DDSCodec" --><!-- doxytag: inherits="Ogre::ImageCodec" --><a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in loading DDS (Direct Draw Surface) images.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::DDSCodec:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1DDSCodec-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; CodecData &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#21f4b8a16d070793d576f827c9fee218">CodecIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; <a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a>,<br>
 <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata.  <a href="#8cc81c85bd7d4e25393aa153c5e01454"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#f1d383551a8a53766b7829fc4edcef32">DDSCodec</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#033bc39aab1445bb54e509bcc0ce5408">~DDSCodec</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#759aa4f8f7c28732a1897ca4422c8c35">code</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input stream and saves the result in the output stream.   <a href="#759aa4f8f7c28732a1897ca4422c8c35"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#ba8cf4e4e8abd072f216c0ea2f78a069">codeToFile</a> (<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;input, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outFileName, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;pData) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
  <a href="#ba8cf4e4e8abd072f216c0ea2f78a069"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#cbacbe639b9cdfd554570d1d9a80130b">decode</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;input) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
  <a href="#cbacbe639b9cdfd554570d1d9a80130b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#85dd099f7b9b429d5ed0da82e9a3d22f">getType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the codec as a String.  <a href="#85dd099f7b9b429d5ed0da82e9a3d22f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec.html#c4b5cbd627bb15c58088eec2319d881a">getDataType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the data that supported by this codec as a String.  <a href="#c4b5cbd627bb15c58088eec2319d881a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#2bdc6c24a6bdd6659da64f3202e28808">startup</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Static method to startup and register the DDS codec.  <a href="#2bdc6c24a6bdd6659da64f3202e28808"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#ae381da92b05b396bd506eb4dab00ebc">shutdown</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Static method to shutdown and unregister the DDS codec.  <a href="#ae381da92b05b396bd506eb4dab00ebc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#60f445cc6919df56af6611fd14eec47d">registerCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Registers a new codec in the database.  <a href="#60f445cc6919df56af6611fd14eec47d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#c1199a6638ff560aa81287cd12c26bcf">unRegisterCodec</a> (<a class="el" href="classOgre_1_1Codec.html">Codec</a> *pCodec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unregisters a codec from the database.  <a href="#c1199a6638ff560aa81287cd12c26bcf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ConstMapIterator.html">CodecIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#55bf1d49e91958f8e412a583666bbd58">getCodecIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the iterator for the registered codecs.  <a href="#55bf1d49e91958f8e412a583666bbd58"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#6092324fd74dd0221f7c63ca8bec4fc1">getExtensions</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the file extension list for the registered codecs.  <a href="#6092324fd74dd0221f7c63ca8bec4fc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#cc4ee751f92b6e54051393e74e0a2884">getCodec</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;extension)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the codec registered for the passed in file extension.  <a href="#cc4ee751f92b6e54051393e74e0a2884"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">ms_mapCodecs</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A map that contains all the registered codecs.  <a href="#715604fe2fb727a6aa4f1e9c9364f870"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#892abf8724729eb87b2339939699fdfb">flipEndian</a> (void *pData, size_t size, size_t count) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#617965157d9e6dfe253418d29ffa3f4c">flipEndian</a> (void *pData, size_t size) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#b477fb789be10194a751381949e8f0e5">convertFourCCFormat</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> fourcc) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#3431fb0aff96561f9a9ae9d3591b158c">convertPixelFormat</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> rgbBits, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> rMask, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> gMask, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> bMask, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> aMask) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#fddd4faa5d1a08599dd1cb3d51304c13">unpackDXTColour</a> (<a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, const DXTColourBlock &amp;block, <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *pCol) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unpack DXT colours into array of 16 colour values.  <a href="#fddd4faa5d1a08599dd1cb3d51304c13"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#eded87a6dfa34ab2c5ea414f8b2d8b79">unpackDXTAlpha</a> (const DXTExplicitAlphaBlock &amp;block, <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *pCol) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unpack DXT alphas into array of 16 colour values.  <a href="#eded87a6dfa34ab2c5ea414f8b2d8b79"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#972ff5083495e26c2ca0124f38dc7264">unpackDXTAlpha</a> (const DXTInterpolatedAlphaBlock &amp;block, <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *pCol) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unpack DXT alphas into array of 16 colour values.  <a href="#972ff5083495e26c2ca0124f38dc7264"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#63912ad1c6d9bbb128d01ce020d10ee1">mType</a></td></tr>

<tr><td colspan="2"><br><h2>Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1DDSCodec.html">DDSCodec</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DDSCodec.html#46a9a596e479220b79c805d0be1b69cc">msInstance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Single registered codec instance.  <a href="#46a9a596e479220b79c805d0be1b69cc"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> specialized in loading DDS (Direct Draw Surface) images. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>We implement our own codec here since we need to be able to keep DXT data compressed if the card supports it. </dd></dl>

<p>Definition at line <a class="el" href="OgreDDSCodec_8h-source.html#l00045">45</a> of file <a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="6359075bde4a8d569b9b8ce66672e7da"></a><!-- doxytag: member="Ogre::DDSCodec::CodecList" ref="6359075bde4a8d569b9b8ce66672e7da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Codec.html">Codec</a>* &gt; <a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">Ogre::Codec::CodecList</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00052">52</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="29e31ad112b08ea7fb648b63f426ff1f"></a><!-- doxytag: member="Ogre::DDSCodec::CodecDataPtr" ref="29e31ad112b08ea7fb648b63f426ff1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt;CodecData&gt; <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::Codec::CodecDataPtr</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00067">67</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="21f4b8a16d070793d576f827c9fee218"></a><!-- doxytag: member="Ogre::DDSCodec::CodecIterator" ref="21f4b8a16d070793d576f827c9fee218" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a>&gt; <a class="el" href="classOgre_1_1ConstMapIterator.html">Ogre::Codec::CodecIterator</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00069">69</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8cc81c85bd7d4e25393aa153c5e01454"></a><!-- doxytag: member="Ogre::DDSCodec::DecodeResult" ref="8cc81c85bd7d4e25393aa153c5e01454" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a>, <a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a>&gt; <a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">Ogre::Codec::DecodeResult</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Result of a decoding; both a decoded data stream and <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">CodecData</a> metadata. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00114">114</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f1d383551a8a53766b7829fc4edcef32"></a><!-- doxytag: member="Ogre::DDSCodec::DDSCodec" ref="f1d383551a8a53766b7829fc4edcef32" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DDSCodec::DDSCodec           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="033bc39aab1445bb54e509bcc0ce5408"></a><!-- doxytag: member="Ogre::DDSCodec::~DDSCodec" ref="033bc39aab1445bb54e509bcc0ce5408" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::DDSCodec::~DDSCodec           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDDSCodec_8h-source.html#l00068">68</a> of file <a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="892abf8724729eb87b2339939699fdfb"></a><!-- doxytag: member="Ogre::DDSCodec::flipEndian" ref="892abf8724729eb87b2339939699fdfb" args="(void *pData, size_t size, size_t count) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="617965157d9e6dfe253418d29ffa3f4c"></a><!-- doxytag: member="Ogre::DDSCodec::flipEndian" ref="617965157d9e6dfe253418d29ffa3f4c" args="(void *pData, size_t size) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b477fb789be10194a751381949e8f0e5"></a><!-- doxytag: member="Ogre::DDSCodec::convertFourCCFormat" ref="b477fb789be10194a751381949e8f0e5" args="(uint32 fourcc) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> Ogre::DDSCodec::convertFourCCFormat           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>fourcc</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3431fb0aff96561f9a9ae9d3591b158c"></a><!-- doxytag: member="Ogre::DDSCodec::convertPixelFormat" ref="3431fb0aff96561f9a9ae9d3591b158c" args="(uint32 rgbBits, uint32 rMask, uint32 gMask, uint32 bMask, uint32 aMask) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> Ogre::DDSCodec::convertPixelFormat           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>rgbBits</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>rMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>gMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>bMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>aMask</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fddd4faa5d1a08599dd1cb3d51304c13"></a><!-- doxytag: member="Ogre::DDSCodec::unpackDXTColour" ref="fddd4faa5d1a08599dd1cb3d51304c13" args="(PixelFormat pf, const DXTColourBlock &amp;block, ColourValue *pCol) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::unpackDXTColour           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const DXTColourBlock &amp;&nbsp;</td>
          <td class="paramname"> <em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *&nbsp;</td>
          <td class="paramname"> <em>pCol</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unpack DXT colours into array of 16 colour values. 
<p>

</div>
</div><p>
<a class="anchor" name="eded87a6dfa34ab2c5ea414f8b2d8b79"></a><!-- doxytag: member="Ogre::DDSCodec::unpackDXTAlpha" ref="eded87a6dfa34ab2c5ea414f8b2d8b79" args="(const DXTExplicitAlphaBlock &amp;block, ColourValue *pCol) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::unpackDXTAlpha           </td>
          <td>(</td>
          <td class="paramtype">const DXTExplicitAlphaBlock &amp;&nbsp;</td>
          <td class="paramname"> <em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *&nbsp;</td>
          <td class="paramname"> <em>pCol</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unpack DXT alphas into array of 16 colour values. 
<p>

</div>
</div><p>
<a class="anchor" name="972ff5083495e26c2ca0124f38dc7264"></a><!-- doxytag: member="Ogre::DDSCodec::unpackDXTAlpha" ref="972ff5083495e26c2ca0124f38dc7264" args="(const DXTInterpolatedAlphaBlock &amp;block, ColourValue *pCol) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::unpackDXTAlpha           </td>
          <td>(</td>
          <td class="paramtype">const DXTInterpolatedAlphaBlock &amp;&nbsp;</td>
          <td class="paramname"> <em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *&nbsp;</td>
          <td class="paramname"> <em>pCol</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unpack DXT alphas into array of 16 colour values. 
<p>

</div>
</div><p>
<a class="anchor" name="759aa4f8f7c28732a1897ca4422c8c35"></a><!-- doxytag: member="Ogre::DDSCodec::code" ref="759aa4f8f7c28732a1897ca4422c8c35" args="(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> Ogre::DDSCodec::code           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input stream and saves the result in the output stream.  
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#e972de8ed9eedf56855bdaf6c21d0645">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba8cf4e4e8abd072f216c0ea2f78a069"></a><!-- doxytag: member="Ogre::DDSCodec::codeToFile" ref="ba8cf4e4e8abd072f216c0ea2f78a069" args="(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DDSCodec::codeToFile           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">MemoryDataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">CodecDataPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data in the input chunk and saves the result in the output filename provided. <p>
Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>The input data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>outFileName</em>&nbsp;</td><td>The filename to write to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Extra information to be passed to the codec (codec type specific) </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#77edfaacf42d2fce9cd2b8a82a9d00d6">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="cbacbe639b9cdfd554570d1d9a80130b"></a><!-- doxytag: member="Ogre::DDSCodec::decode" ref="cbacbe639b9cdfd554570d1d9a80130b" args="(DataStreamPtr &amp;input) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> Ogre::DDSCodec::decode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Codes the data from the input chunk into the output chunk. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Stream containing the encoded data </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Has a variable number of arguments, which depend on the codec type. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#63f306b8171a0ea5cf319824044958e4">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="85dd099f7b9b429d5ed0da82e9a3d22f"></a><!-- doxytag: member="Ogre::DDSCodec::getType" ref="85dd099f7b9b429d5ed0da82e9a3d22f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::DDSCodec::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the codec as a String. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec</a>.</p>

</div>
</div><p>
<a class="anchor" name="2bdc6c24a6bdd6659da64f3202e28808"></a><!-- doxytag: member="Ogre::DDSCodec::startup" ref="2bdc6c24a6bdd6659da64f3202e28808" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::DDSCodec::startup           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Static method to startup and register the DDS codec. 
<p>

</div>
</div><p>
<a class="anchor" name="ae381da92b05b396bd506eb4dab00ebc"></a><!-- doxytag: member="Ogre::DDSCodec::shutdown" ref="ae381da92b05b396bd506eb4dab00ebc" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::DDSCodec::shutdown           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Static method to shutdown and unregister the DDS codec. 
<p>

</div>
</div><p>
<a class="anchor" name="c4b5cbd627bb15c58088eec2319d881a"></a><!-- doxytag: member="Ogre::DDSCodec::getDataType" ref="c4b5cbd627bb15c58088eec2319d881a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ImageCodec::getDataType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the data that supported by this codec as a String. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Codec.html#eb344d293259ec352c308d81fdf3e94c">Ogre::Codec</a>.</p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00074">74</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="60f445cc6919df56af6611fd14eec47d"></a><!-- doxytag: member="Ogre::DDSCodec::registerCodec" ref="60f445cc6919df56af6611fd14eec47d" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Codec::registerCodec           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td>
          <td class="paramname"> <em>pCodec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Registers a new codec in the database. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00076">76</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c1199a6638ff560aa81287cd12c26bcf"></a><!-- doxytag: member="Ogre::DDSCodec::unRegisterCodec" ref="c1199a6638ff560aa81287cd12c26bcf" args="(Codec *pCodec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Codec::unRegisterCodec           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Codec.html">Codec</a> *&nbsp;</td>
          <td class="paramname"> <em>pCodec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unregisters a codec from the database. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00083">83</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">Ogre::Codec::getType()</a>.</p>

</div>
</div><p>
<a class="anchor" name="55bf1d49e91958f8e412a583666bbd58"></a><!-- doxytag: member="Ogre::DDSCodec::getCodecIterator" ref="55bf1d49e91958f8e412a583666bbd58" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ConstMapIterator.html">CodecIterator</a> Ogre::Codec::getCodecIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the iterator for the registered codecs. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00089">89</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6092324fd74dd0221f7c63ca8bec4fc1"></a><!-- doxytag: member="Ogre::DDSCodec::getExtensions" ref="6092324fd74dd0221f7c63ca8bec4fc1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> Ogre::Codec::getExtensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the file extension list for the registered codecs. 
<p>

</div>
</div><p>
<a class="anchor" name="cc4ee751f92b6e54051393e74e0a2884"></a><!-- doxytag: member="Ogre::DDSCodec::getCodec" ref="cc4ee751f92b6e54051393e74e0a2884" args="(const String &amp;extension)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Codec.html">Codec</a>* Ogre::Codec::getCodec           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>extension</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the codec registered for the passed in file extension. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="63912ad1c6d9bbb128d01ce020d10ee1"></a><!-- doxytag: member="Ogre::DDSCodec::mType" ref="63912ad1c6d9bbb128d01ce020d10ee1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DDSCodec.html#63912ad1c6d9bbb128d01ce020d10ee1">Ogre::DDSCodec::mType</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDDSCodec_8h-source.html#l00048">48</a> of file <a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="46a9a596e479220b79c805d0be1b69cc"></a><!-- doxytag: member="Ogre::DDSCodec::msInstance" ref="46a9a596e479220b79c805d0be1b69cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DDSCodec.html">DDSCodec</a>* <a class="el" href="classOgre_1_1DDSCodec.html#46a9a596e479220b79c805d0be1b69cc">Ogre::DDSCodec::msInstance</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Single registered codec instance. 
<p>

<p>Definition at line <a class="el" href="OgreDDSCodec_8h-source.html#l00065">65</a> of file <a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="715604fe2fb727a6aa4f1e9c9364f870"></a><!-- doxytag: member="Ogre::DDSCodec::ms_mapCodecs" ref="715604fe2fb727a6aa4f1e9c9364f870" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> <a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">Ogre::Codec::ms_mapCodecs</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A map that contains all the registered codecs. 
<p>

<p>Definition at line <a class="el" href="OgreCodec_8h-source.html#l00055">55</a> of file <a class="el" href="OgreCodec_8h-source.html">OgreCodec.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDDSCodec_8h-source.html">OgreDDSCodec.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:31 2008
</p>
</body>
</html>
